## org.eclipse.uml2.uml
Interface InteractionUse

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, InteractionFragment, NamedElement, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  PartDecomposition

    public interface InteractionUse

extends InteractionFragment

A representation of the model object 'Interaction Use'. An interaction use refers to an interaction. The interaction use is a shorthand for copying the contents of the referenced interaction where the interaction use is. To be accurate the copying must take into account substituting parameters with arguments and connect the formal gates with the actual ones.

The following features are supported:

- `Refers To`
- `Actual Gate`
- `Argument`

See Also:
  `UMLPackage.getInteractionUse()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`Gate` `createActualGate(java.lang.String name)` Creates a new `Gate`, with the specified 'Name', and appends it to the 'Actual Gate' containment reference list
`Action` `createArgument(java.lang.String name, org.eclipse.emf.ecore.EClass eClass)` Creates a new `Action`, with the specified 'Name', and appends it to the 'Argument' containment reference list
`Gate` `getActualGate(java.lang.String name)` Retrieves the first `Gate` with the specified 'Name' from the 'Actual Gate' containment reference list
`Gate` `getActualGate(java.lang.String name, boolean ignoreCase, boolean createOnDemand)` Retrieves the first `Gate` with the specified 'Name' from the 'Actual Gate' containment reference list
`org.eclipse.emf.common.util.EList<Gate>` `getActualGates()` Returns the value of the 'Actual Gate' containment reference list.
`Action` `getArgument(java.lang.String name)` Retrieves the first `Action` with the specified 'Name' from the 'Argument' containment reference list
`Action` `getArgument(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass, boolean createOnDemand)` Retrieves the first `Action` with the specified 'Name' from the 'Argument' containment reference list
`org.eclipse.emf.common.util.EList<Action>` `getArguments()` Returns the value of the 'Argument' containment reference list.
`Interaction` `getRefersTo()` Returns the value of the 'Refers To' reference
`void` `setRefersTo(Interaction value)` Sets the value of the '`Refers To`' reference
`boolean` `validateAllLifelines(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The InteractionUse must cover all Lifelines of the enclosing Interaction which appear within the referred Interaction.
`boolean` `validateArgumentsAreConstants(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The arguments must only be constants, parameters of the enclosing Interaction or attributes of the classifier owning the enclosing Interaction.
`boolean` `validateArgumentsCorrespondToParameters(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The arguments of the InteractionUse must correspond to parameters of the referred Interaction true
`boolean` `validateGatesMatch(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Actual Gates of the InteractionUse must match Formal Gates of the referred Interaction.

Methods inherited from interface org.eclipse.uml2.uml.InteractionFragment
`createGeneralOrdering, getCovered, getCovered, getCovereds, getEnclosingInteraction, getEnclosingOperand, getGeneralOrdering, getGeneralOrdering, getGeneralOrderings, setEnclosingInteraction, setEnclosingOperand`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRefersTo

    Interaction getRefersTo()

  Returns the value of the 'Refers To' reference. Refers to the Interaction that defines its meaning

  Returns:
    the value of the 'Refers To' reference.
  See Also:
    `setRefersTo(Interaction)`, `UMLPackage.getInteractionUse_RefersTo()`

### setRefersTo

    void setRefersTo(Interaction value)

  Sets the value of the '`Refers To`' reference.

  Parameters:
    `value` - the new value of the 'Refers To' reference.
  See Also:
    `getRefersTo()`

### getActualGates

    org.eclipse.emf.common.util.EList<Gate> getActualGates()

  Returns the value of the 'Actual Gate' containment reference list. The list contents are of type `Gate`. The actual gates of the InteractionUse

  Returns:
    the value of the 'Actual Gate' containment reference list.
  See Also:
    `UMLPackage.getInteractionUse_ActualGate()`

### createActualGate

    Gate createActualGate(java.lang.String name)

  Creates a new `Gate`, with the specified 'Name', and appends it to the 'Actual Gate' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Gate`, or `null`.
  Returns:
    The new `Gate`.
  See Also:
    `getActualGates()`

### getActualGate

    Gate getActualGate(java.lang.String name)

  Retrieves the first `Gate` with the specified 'Name' from the 'Actual Gate' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Gate` to retrieve, or `null`.
  Returns:
    The first `Gate` with the specified 'Name', or `null`.
  See Also:
    `getActualGates()`

### getActualGate

    Gate getActualGate(java.lang.String name,
                       boolean ignoreCase,
                       boolean createOnDemand)

  Retrieves the first `Gate` with the specified 'Name' from the 'Actual Gate' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Gate` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `createOnDemand` - Whether to create a `Gate` on demand if not found.
  Returns:
    The first `Gate` with the specified 'Name', or `null`.
  See Also:
    `getActualGates()`

### getArguments

    org.eclipse.emf.common.util.EList<Action> getArguments()

  Returns the value of the 'Argument' containment reference list. The list contents are of type `Action`. The actual arguments of the Interaction

  Returns:
    the value of the 'Argument' containment reference list.
  See Also:
    `UMLPackage.getInteractionUse_Argument()`

### createArgument

    Action createArgument(java.lang.String name,
                          org.eclipse.emf.ecore.EClass eClass)

  Creates a new `Action`, with the specified 'Name', and appends it to the 'Argument' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Action`, or `null`.
    `eClass` - The Ecore class of the `Action` to create.
  Returns:
    The new `Action`.
  See Also:
    `getArguments()`

### getArgument

    Action getArgument(java.lang.String name)

  Retrieves the first `Action` with the specified 'Name' from the 'Argument' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Action` to retrieve, or `null`.
  Returns:
    The first `Action` with the specified 'Name', or `null`.
  See Also:
    `getArguments()`

### getArgument

    Action getArgument(java.lang.String name,
                       boolean ignoreCase,
                       org.eclipse.emf.ecore.EClass eClass,
                       boolean createOnDemand)

  Retrieves the first `Action` with the specified 'Name' from the 'Argument' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Action` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `Action` to retrieve, or `null`.
    `createOnDemand` - Whether to create a `Action` on demand if not found.
  Returns:
    The first `Action` with the specified 'Name', or `null`.
  See Also:
    `getArguments()`

### validateGatesMatch

    boolean validateGatesMatch(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map<java.lang.Object,java.lang.Object> context)

  Actual Gates of the InteractionUse must match Formal Gates of the referred Interaction. Gates match when their names are equal. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateAllLifelines

    boolean validateAllLifelines(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map<java.lang.Object,java.lang.Object> context)

  The InteractionUse must cover all Lifelines of the enclosing Interaction which appear within the referred Interaction. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateArgumentsCorrespondToParameters

    boolean validateArgumentsCorrespondToParameters(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map<java.lang.Object,java.lang.Object> context)

  The arguments of the InteractionUse must correspond to parameters of the referred Interaction true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateArgumentsAreConstants

    boolean validateArgumentsAreConstants(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map<java.lang.Object,java.lang.Object> context)

  The arguments must only be constants, parameters of the enclosing Interaction or attributes of the classifier owning the enclosing Interaction. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.